Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class ProtegePlasticTheme

    java.lang.Object
      javax.swing.plaf.metal.MetalTheme
          javax.swing.plaf.metal.DefaultMetalTheme
              com.jgoodies.looks.plastic.PlasticTheme
                  com.jgoodies.looks.plastic.theme.SkyBluer
                      com.jgoodies.looks.plastic.theme.DesertBluer
                          com.jgoodies.looks.plastic.theme.ExperienceBlue
                              edu.stanford.smi.protege.util.ProtegePlasticTheme

    public class ProtegePlasticTheme

extends com.jgoodies.looks.plastic.theme.ExperienceBlue

Author:
  Ray Fergerson

Field Summary
`static Font` | `DEFAULT_FONT`
`static int` | `DEFAULT_FONT_SIZE`

Fields inherited from class com.jgoodies.looks.plastic.theme.ExperienceBlue
`LUNA_BACKGROUND, LUNA_BACKGROUND_DARKER`

Fields inherited from class com.jgoodies.looks.plastic.PlasticTheme
`BLACK, BRIGHTEN_START, BRIGHTEN_STOP, DARKEN_START, DARKEN_STOP, LT_BRIGHTEN_STOP, LT_DARKEN_STOP, WHITE`

Constructor Summary
`ProtegePlasticTheme()`

Method Summary
`void` | `addCustomEntriesToTable(UIDefaults table)`
`ColorUIResource` | `getMenuItemSelectedBackground()`
`ColorUIResource` | `getMenuItemSelectedForeground()`
`ColorUIResource` | `getMenuSelectedBackground()`
`ColorUIResource` | `getMenuSelectedForeground()`

Methods inherited from class com.jgoodies.looks.plastic.theme.ExperienceBlue
`getFocusColor, getMenuItemBackground, getName, getPrimary1, getPrimary2, getPrimary3, getPrimaryControlShadow, getSecondary1, getSecondary2, getSecondary3, getToggleButtonCheckColor`

Methods inherited from class com.jgoodies.looks.plastic.theme.DesertBluer
`getHighlightedTextColor, getTextHighlightColor`

Methods inherited from class com.jgoodies.looks.plastic.PlasticTheme
`equals, getBlack, getControlTextFont, getFontSet, getMenuForeground, getMenuTextFont, getSimpleInternalFrameBackground, getSimpleInternalFrameForeground, getSubTextFont, getSystemTextColor, getSystemTextFont, getTitleTextColor, getTitleTextFont, getUserTextFont, getWhite, getWindowTitleFont, hashCode`

Methods inherited from class javax.swing.plaf.metal.MetalTheme
`getAcceleratorForeground, getAcceleratorSelectedForeground, getControl, getControlDarkShadow, getControlDisabled, getControlHighlight, getControlInfo, getControlShadow, getControlTextColor, getDesktopColor, getInactiveControlTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuDisabledForeground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getSeparatorBackground, getSeparatorForeground, getUserTextColor, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_FONT_SIZE

    public static final int DEFAULT_FONT_SIZE

See Also:
  Constant Field Values

### DEFAULT_FONT

    public static final Font DEFAULT_FONT

Constructor Detail

### ProtegePlasticTheme

    public ProtegePlasticTheme()

Method Detail

### addCustomEntriesToTable

    public void addCustomEntriesToTable(UIDefaults table)

  Overrides:
    `addCustomEntriesToTable` in class `com.jgoodies.looks.plastic.theme.ExperienceBlue`

### getMenuItemSelectedBackground

    public ColorUIResource getMenuItemSelectedBackground()

  Overrides:
    `getMenuItemSelectedBackground` in class `com.jgoodies.looks.plastic.theme.DesertBluer`

### getMenuItemSelectedForeground

    public ColorUIResource getMenuItemSelectedForeground()

  Overrides:
    `getMenuItemSelectedForeground` in class `com.jgoodies.looks.plastic.theme.SkyBluer`

### getMenuSelectedBackground

    public ColorUIResource getMenuSelectedBackground()

  Overrides:
    `getMenuSelectedBackground` in class `com.jgoodies.looks.plastic.theme.ExperienceBlue`

### getMenuSelectedForeground

    public ColorUIResource getMenuSelectedForeground()

  Overrides:
    `getMenuSelectedForeground` in class `com.jgoodies.looks.plastic.theme.ExperienceBlue`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.